> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deribit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# private/verify_block_trade

> Verifies and creates a block trade signature. This is the first step in the block trade workflow - the first party calls this method to generate a signature that must be shared with the second party.

**Note:** In the API, the `direction` field is always expressed from the maker's perspective. This means that when you accept a block trade as a taker, the direction shown in the API represents the opposite side of your trade. For example, if you are buying puts as a taker, the API will show the operation as a "sell put" (maker's perspective), and you will be verifying and accepting a "sell put" block trade.

**📖 Related Article:** [Block Trading](https://docs.deribit.com/articles/block-trading-api)

**Scope:** `block_trade:read`

[Try in API console](https://test.deribit.com/api_console?method=%2Fprivate%2Fverify_block_trade)





## OpenAPI

````yaml /specifications/deribit_openapi.json get /private/verify_block_trade
openapi: 3.0.0
info:
  title: Deribit API
  version: 2.1.1
servers:
  - url: https://test.deribit.com/api/v2
security: []
tags:
  - name: WebSocket Only
    description: Can only be used over websockets.
  - name: Public
    description: Public methods can be used without authentication.
  - name: Private
    description: >-
      <p>Private methods require authentication. All requests must include a
      valid OAuth2 token.</p>

      <p>A token can be requested using the <a
      href="#public-auth">/public/auth</a> method.</p>

      <p>When using the websockets protocol, the token must be included as a
      parameter <code>access_token</code> in the message. When using REST (HTTP
      GET), the token may also be passed in the <code>Authorization</code>
      header.</p>
  - name: Authentication
  - name: Session Management
  - name: Subscription Management
    description: >-
      Subscription works as [notifications](#notifications), so users will
      automatically (after subscribing) receive messages from the server.
      Overview for each channel response format is described in
      [subscriptions](#subscriptions) section.
  - name: Account Management
  - name: Trading
  - name: Market Data
  - name: Wallet
  - name: Chat
paths:
  /private/verify_block_trade:
    get:
      tags:
        - Block Trade
        - Matching Engine
        - Private
      description: >+
        Verifies and creates a block trade signature. This is the first step in
        the block trade workflow - the first party calls this method to generate
        a signature that must be shared with the second party.


        **Note:** In the API, the `direction` field is always expressed from the
        maker's perspective. This means that when you accept a block trade as a
        taker, the direction shown in the API represents the opposite side of
        your trade. For example, if you are buying puts as a taker, the API will
        show the operation as a "sell put" (maker's perspective), and you will
        be verifying and accepting a "sell put" block trade.


        **📖 Related Article:** [Block
        Trading](https://docs.deribit.com/articles/block-trading-api)


        **Scope:** `block_trade:read`


        [Try in API
        console](https://test.deribit.com/api_console?method=%2Fprivate%2Fverify_block_trade)

      parameters:
        - in: query
          name: timestamp
          required: true
          schema:
            $ref: '#/components/schemas/timestamp'
          description: >-
            Timestamp, shared with other party (milliseconds since the UNIX
            epoch)
        - in: query
          name: nonce
          required: true
          schema:
            $ref: '#/components/schemas/nonce'
          description: Nonce, shared with other party
        - in: query
          name: role
          required: true
          schema:
            $ref: '#/components/schemas/role'
          description: Describes if user wants to be maker or taker of trades
        - in: query
          name: trades
          required: true
          schema:
            type: array
            items:
              type: object
              properties:
                instrument_name:
                  $ref: '#/components/schemas/instrument_name'
                  description: Instrument name
                price:
                  type: number
                  description: Price for trade
                amount:
                  $ref: '#/components/schemas/amount'
                  description: >-
                    It represents the requested trade size. For perpetual and
                    inverse futures the amount is in USD units. For options and
                    linear futures it is the underlying base currency coin.
                direction:
                  $ref: '#/components/schemas/direction'
                  description: Direction of trade from the maker perspective
          description: List of trades for block trade
          style: form
          explode: true
      requestBody:
        content:
          application/json:
            examples:
              request:
                value:
                  jsonrpc: '2.0'
                  id: 1
                  method: private/verify_block_trade
                  params:
                    nonce: okpdjkdo
                    timestamp: 1565172650935
                    role: maker
                    trades:
                      - instrument_name: BTC-PERPETUAL
                        direction: buy
                        price: 11624
                        amount: 40
                      - instrument_name: BTC-9AUG19-10250-P
                        direction: buy
                        amount: 1.2
                        price: 0.0707
                description: JSON-RPC Request Example
        description: JSON-RPC request body
      responses:
        '200':
          $ref: '#/components/responses/PrivateVerifyBlockTradeResponse'
components:
  schemas:
    timestamp:
      example: 1536569522277
      type: integer
      description: The timestamp (milliseconds since the Unix epoch)
    nonce:
      example: bF1_gfgcsd
      type: string
      description: Nonce
    role:
      enum:
        - maker
        - taker
      type: string
      description: 'Trade role of the user: `maker` or `taker`'
    instrument_name:
      example: BTC-PERPETUAL
      type: string
      description: Unique instrument identifier
    amount:
      type: number
      description: >-
        It represents the requested order size. For perpetual and inverse
        futures the amount is in USD units. For options and linear futures it is
        the underlying base currency coin.
    direction:
      enum:
        - buy
        - sell
      type: string
      description: 'Direction: `buy`, or `sell`'
    PrivateVerifyBlockTradeResponse:
      properties:
        jsonrpc:
          type: string
          enum:
            - '2.0'
          description: The JSON-RPC version (2.0)
        id:
          type: integer
          description: The id that was sent in the request
        result:
          type: object
          properties:
            signature:
              $ref: '#/components/schemas/block_trade_signature'
          required:
            - signature
      required:
        - jsonrpc
        - result
      type: object
    block_trade_signature:
      example: >-
        1565173369982.1M9tO0Q-.z9n9WyZUU5op9pEz6Jtd2CI71QxQMMsCZAexnIfK9HQRT1pKH3clxeIbY7Bqm-yMcWIoE3IfCDPW5VEdiN-6oS0YkKUyXPD500MUf3ULKhfkmH81EZs
      type: string
      description: >-
        Signature of block trade<br>It is valid only for 5 minutes around given
        timestamp
  responses:
    PrivateVerifyBlockTradeResponse:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/PrivateVerifyBlockTradeResponse'
          examples:
            response:
              value:
                jsonrpc: '2.0'
                result:
                  signature: >-
                    1565172710935.1ESE83qh.g6fbgRd4VWagaJz7xdi2WaV-q-d3J0njoz1jZavuRudZJZif9uH8XdUAx1LHsu0E3e0ZG_xe1UPYlwo41xRVrkWU6OMgygDRafUkEmBuk9iLqjc9rh4
              description: Response example
      description: Success response

````